# Templates

## Liste

### Utilisation minimale
```php
// Exemple sur liste utilisateurs
{!! Template::list3([
        'table_id'     => null,
        'table_class'  => 'table-sortable',
        'route_prefix' => $route_prefix,
        'can_prefix'   => $can_prefix,
        'menu'         => [
            'display'       => true,
            'is_readable'   => true,
            'is_editable'   => true,
            'is_deletable'  => true,
            'is_duplicable' => false,
        ],
        'source' => $items,
        'columns' => array([
	            'label'    => '#',
	            'value'    => ['id'],
	            'sortable' => 'id'
	        ],[
	            'label'    => 'Dossier',
	            'value'    => ['folder_html'],
	            'sortable' => 'ged_folders.title'
	        ],[
	            'label'    => 'Nom',
	            'value'    => ['name'],
	            'sortable' => 'name',
	        ],[
	            'label'    => 'Version',
	            'value'    => ['template' => 'v%s', 'key' => 'version'],
	            'sortable' => 'version',
	            'class'    => 'text-center'
	        ],[
	            'label'    => 'Statut',
	            'value'    => ['validation_html'],
	            'class'    => 'text-center'
	        ],[
	            'label'    => 'Visibilité',
	            'class'    => 'text-center',
	            'value'    => ['key' => 'status', 'callback' => 'published_html'],
	            'sortable' => 'status',
	        ],[
	            'label'    => 'Date',
	            'value'    => ['updated_at->diffForHumans()'],
	            'sortable' => 'updated_at'
	        ]
	    )
    ]) !!}
```

### Utilisation avancée
```php
// Exemple sur liste utilisateurs
{!! Template::list3([
        'table_id'     => null,
        'table_class'  => 'table-sortable',
        'route_prefix' => $route_prefix,
        'can_prefix'   => $can_prefix,
        'menu'         => [
            'display'       => true,
            'is_readable'   => true,
            'is_editable'   => true,
            'is_deletable'  => true,
            'is_duplicable' => false,
            'tags' => array(
                ['template' => '[module|ged|document|%s]', 'key' => 'id']
            ),
            'more' => array([
	                'label'  => '<i class="fa fa-unlock mr-1"></i> RAZ validation',
	                'href'   => [
	                    'template' => url('backend/module/ged/file/status/%s/0?' . current_query_to_string()),
	                    'key'      => 'files->sortBy()->last()->id'
	                ],
	            ]
	        )
        ],
        'source' => $items,
        'rows'   => array(
            'class' => [
                'value' => 'text-bold',
                'condition' => [
                    'key'      => 'file_current_version.status',
                    'operator' => '==',
                    'value'    => -1
                ]
            ],
        ),
        'columns' => array([
	            'label'    => '',
	            'id'    => 'mon-id',
	            'class' => 'ma-class',
	            'value' => [
	                'template' => '<img class="thumb-list" src="%s" alt="image" width=50 />',
	                'key'      => 'image_type_url']
	        ],[
	            'label'    => '#',
	            'value'    => ['id'],
	            'sortable' => 'id'
	        ],[
	            'label'    => 'Dossier',
	            'value'    => ['key' => 'folder_html'],
	            'sortable' => 'ged_folders.title'
	        ],[
	            'label'    => 'Nom',
	            'value'    => ['name'],
	            'sortable' => 'name',
	        ],[
	            'label'    => 'Version',
	            'value'    => ['template' => 'v%s', 'key' => 'version'],
	            'sortable' => 'version',
	            'class'    => 'text-center'
	        ],[
	            'label'    => 'Statut',
	            'value'    => ['validation_html'],
	            'class'    => 'text-center'
	        ],[
	            'label'    => 'Visibilité',
	            'class'    => 'text-center',
	            'value'    => ['key' => 'status', 'callback' => 'published_html'],
	            'sortable' => 'status',
	        ],[
	            'label'    => 'Date',
	            'value'    => ['updated_at->diffForHumans()'],
	            'sortable' => 'updated_at'
	        ],[
	            'value'    => ['download_file_html'],
	        ]
	    )
    ]) !!}
```
